<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:modules="http://typo3.org/ns/CodingMs/Modules/ViewHelpers"
	  data-namespace-typo3-fluid="true" lang="en">
<f:layout name="Backend" />
<f:section name="Content">
	<modules:be.header header="{f:translate(key: 'tx_modules_label.list_frontend_user')}" />
	<f:flashMessages />

	<div class="panel panel-default">
		<div class="panel-heading"><f:translate key="tx_modules_label.backend_filter" /></div>
		<div class="panel-body">
			<f:form class="row">
				<div class="input-group w-auto mb-2">
					<span class="input-group-text"><f:translate key="tx_modules_label.backend_filter_search"/></span>
					<f:form.textfield name="searchWord" class="form-control" value="{list.searchWord}"
									  placeholder="{f:translate(key: 'tx_modules_label.backend_filter_search_word')}"/>
				</div>
				<div class="input-group w-auto mb-2">
					<span class="input-group-text"><f:translate key="tx_modules_label.backend_filter_usergroup"/></span>
					<f:form.select name="usergroup" class="{list.css.select}" optionLabelField="title"
								   options="{list.usergroup.items}" value="{list.usergroup.selected}"
								   prependOptionValue="-1"
								   prependOptionLabel="{f:translate(key: 'tx_modules_label.backend_filter_usergroup_all')}"/>
				</div>
				<div class="input-group w-auto mb-2">
					<modules:variable.set name="checkboxLabel"
										  value="{f:translate(key: 'tx_modules_label.backend_filter_disabled')}" />
					<f:render partial="Filter/Checkbox"
							  arguments="{name: 'disabled', label: checkboxLabel, value: list.disabled, list: list}" />
				</div>
				<div class="input-group w-auto mb-2">
					<f:form.submit value="{f:translate(key: 'tx_modules_label.backend_filter_submit')}"
								   class="btn btn-default" />
				</div>
			</f:form>
		</div>
	</div>
	<f:render partial="Table/Table" arguments="{list: list, data: frontendUser}" />
	<modules:be.footer />
</f:section>
</html>
